Subject: Re: [PATCH] ASoC: Intel: avs: replace strcmp with sysfs_streq

From: Amadeusz Sławiński <[email-masked]>
Date: Tue, 30 Dec 2025 13:25:42 +0100

On Tue, 30 Dec 2025 10:36:27 +0100
Cezary Rojewski <[email-masked]> wrote:

> On 2025-12-30 9:32 AM, Brahmajit Das wrote:
> > 
> > Not sure if it would help but I tracked or narrowed down the issue to
> > this section of the code in the avs_condpaths_walk function.
> > 
> > 
> > 	if (avs_tplg_path_template_id_equal(&template->source,
> > 										&template->sink) && dir)
> > 		continue;
> > 
> > If I just comment that code segment out, then it builds successfully;
> > both with and without the hard coded name length.  
> 
> Outstanding! Thank you for this exercise.

Yes, I also managed to reproduce it on my machine.

You can also just reverse the order in
avs_tplg_path_template_id_equal() to:
return !strcmp(id->tplg_name, id2->tplg_name) && id->id == id2->id;
which for some reason makes the error disappear.

> > I was also looking into GCC bugzilla and there seems to lot of reports
> > saying these kind of error could be bogus or false positive. I'm not
> > familiar with GCC internal or experienced in compilers to say/understand
> > whether this case in particular is a false positive or not.  
> 
> Wouldn't be the first time, though having successful builds ain't wrong 
> either. After all we have git log and incremental changes/reverts are 
> not a problem.
> 

I've bisected it down on GCC side to:
https://gcc.gnu.org/git/gitweb.cgi?p=gcc.git;a=commitdiff;h=fc62834533f357125b9c1934f80c2ba249adbf9e
in particular it seems to be caused by code added in gcc/tree-ssa-pre.cc
I'm not that familiar with how GCC works, but to me it seems like maybe
it loses size information during this conversion.

I would make normal bug report, but apparently I can't just make GCC
bugzilla account, so adding Richard to CC, while I go through request
process for an account.

@Richard
Hi, we seem to have hit a slight problem while building kernel with pre
release GCC caused by one of your patches, full thread is available
here:
https://lore.kernel.org/linux-sound/[email-masked]/T/#u
and my reasoning above.

> > BTW I can't seem to send the email to Amadeusz, hence removing them from
> > the CC-list  
> >> msmtp: recipient address [email-masked] not accepted by the server  
> 
> That's weird. The @linux.intel.com is gone but what you mentioned is the 
> correct one.

Yup, that's weird, but nothing lost, I'm subscribed to mailing list ;)